petsc-3.6.2 2015-10-02
Report Typos and Errors

# SNESMonitorFields

Monitors the residual for each field separately

### Synopsis

    #include "petscdmplex.h"
    #include "petscsnes.h"
    PetscErrorCode SNESMonitorFields(SNES snes, PetscInt its, PetscReal fgnorm, void *dummy)

Collective on SNES

### Input Parameters

| snes | - the SNES context
| its | - iteration number
| fgnorm | - 2-norm of residual
| dummy | - unused context

### Notes

This routine prints the residual norm at each iteration.

### Keywords

SNES, nonlinear, default, monitor, norm

### See Also

SNESMonitorSet(), SNESMonitorDefault()

Level:intermediate
Location:src/snes/utils/dmplexsnes.c
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages